X2Go Bug report logs - #616
x2goclient.exe 4.0.3.0 shows "arrow and hourglass" cursor for 5 seconds during startup

version graph

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: Stefan Baur <newsgroups.mail2@stefanbaur.de>

Date: Sat, 28 Jun 2014 17:45:01 UTC

Severity: normal

Tags: pending

Found in version 4.0.3.0-2014.09.17-0e3aff0

Fixed in version 4.0.3.2

Done: X2Go Release Manager <git-admin@x2go.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#525; Package x2goclient. (Sat, 28 Jun 2014 17:45:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Baur <newsgroups.mail2@stefanbaur.de>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sat, 28 Jun 2014 17:45:01 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Stefan Baur <newsgroups.mail2@stefanbaur.de>
To: submit@bugs.x2go.org
Subject: x2goclient.exe shows "arrow and hourglass" cursor for 5 seconds during startup
Date: Sat, 28 Jun 2014 19:42:28 +0200
Package: x2goclient
Version: 4.0.2.1-pre01

Hi,

x2goclient for Windows up to 4.0.0.3 used to look "frozen" for a
fraction of a second during startup.

With 4.0.2.0, that annoying effect was suddenly gone, possibly due to
the change to the new pulseaudio version.
It is also not present in the nightlies up until 2014-06-11.

4.0.2.1-pre01 now exhibits a similar, slightly annoying behavior:

When run by double-click from a folder view, it displays an "arrow and
hourglass" cursor on Windows 7 x64 for approximately 5 seconds during
startup.

It does not happen when the same x2goclient.exe is run from the
commandline. There, response is instantaneous like in 4.0.2.0 and in the
nightlies up to 2014-06-11.

I have no explanation for that effect, but maybe one of our devs can
shed some light on this?

-Stefan


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#525; Package x2goclient. (Fri, 04 Jul 2014 08:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to 525@bugs.x2go.org:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 04 Jul 2014 08:30:02 GMT) Full text and rfc822 format available.

Message #10 received at 525@bugs.x2go.org (full text, mbox):

From: Stefan Baur <newsgroups.mail2@stefanbaur.de>
To: 525@bugs.x2go.org
Cc: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, Michael DePaulo <mikedep333@gmail.com>
Subject: Re: [X2Go-Dev] Bug#525: x2goclient.exe shows "arrow and hourglass" cursor for 5 seconds during startup
Date: Fri, 04 Jul 2014 10:21:06 +0200
Am 28.06.2014 19:42, schrieb Stefan Baur:

> 4.0.2.1-pre01 now exhibits a similar, slightly annoying behavior:
> 
> When run by double-click from a folder view, it displays an "arrow and
> hourglass" cursor on Windows 7 x64 for approximately 5 seconds during
> startup.
> 
> It does not happen when the same x2goclient.exe is run from the
> commandline. There, response is instantaneous like in 4.0.2.0 and in the
> nightlies up to 2014-06-11.
> 
> I have no explanation for that effect, but maybe one of our devs can
> shed some light on this?

To either confirm or rule out that Alex' recent changes to x2goclient
introduced this behavior, Mike#2 has agreed to provide a special test
build of x2goclient with

http://code.x2go.org/gitweb?p=x2goclient.git;a=commit;h=76777fca627f287f8d721023a44646d13e13accb


(Alex' change that broke the nightlies) and

http://code.x2go.org/gitweb?p=x2goclient.git;a=commit;h=093543e62d00d8b0dcfb36798fa48bd8757fb17e
(Alex' fix to make the nightlies work again)

removed.

If this fixes the issue, Mike#1 has already announced that he will
revert those changes from the code for the 4.0.2.1 release.

I volunteer as a tribute, err, as a guinea pig for the test build.

-Stefan


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#525; Package x2goclient. (Fri, 04 Jul 2014 09:20:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to 525@bugs.x2go.org:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 04 Jul 2014 09:20:02 GMT) Full text and rfc822 format available.

Message #15 received at 525@bugs.x2go.org (full text, mbox):

From: Stefan Baur <newsgroups.mail2@stefanbaur.de>
To: 525@bugs.x2go.org
Cc: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, Michael DePaulo <mikedep333@gmail.com>, Oleksandr Shneyder <o.shneyder@phoca-gmbh.de>, Mihai Moldovan <ionic@ionic.de>
Subject: Re: [X2Go-Dev] Bug#525: x2goclient.exe shows "arrow and hourglass" cursor for 5 seconds during startup
Date: Fri, 04 Jul 2014 11:15:22 +0200
Am 04.07.2014 10:21, schrieb Stefan Baur:
>> 4.0.2.1-pre01 now exhibits a similar, slightly annoying behavior:
>>
>> When run by double-click from a folder view, it displays an "arrow and
>> hourglass" cursor on Windows 7 x64 for approximately 5 seconds during
>> startup.
>>
>> It does not happen when the same x2goclient.exe is run from the
>> commandline. There, response is instantaneous like in 4.0.2.0 and in the
>> nightlies up to 2014-06-11.
>>
>> I have no explanation for that effect, but maybe one of our devs can
>> shed some light on this?
> 
> To either confirm or rule out that Alex' recent changes to x2goclient
> introduced this behavior, Mike#2 has agreed to provide a special test
> build of x2goclient with
> 
> http://code.x2go.org/gitweb?p=x2goclient.git;a=commit;h=76777fca627f287f8d721023a44646d13e13accb
> 
> 
> (Alex' change that broke the nightlies) and
> 
> http://code.x2go.org/gitweb?p=x2goclient.git;a=commit;h=093543e62d00d8b0dcfb36798fa48bd8757fb17e
> (Alex' fix to make the nightlies work again)
> 
> removed.
> 
> If this fixes the issue, Mike#1 has already announced that he will
> revert those changes from the code for the 4.0.2.1 release.
> 
> I volunteer as a tribute, err, as a guinea pig for the test build.

Okay, Mike#2 provided the build
(http://code.x2go.org/releases/binary-win32/x2goclient/previews/4.0.2.1/x2goclient-4.0.2.1-pre03-setup.exe),
I tested it, bug is gone.
So we have identified the two commits that introduced it.

@Mike#1:
1) Please remove them from the official tree for 4.0.2.1, as per your
previous offer to do so.

2) Please discuss the proper way to re-introduce them in a way that
doesn't influence startup time negatively with Alex and possibly Mihai.
Mihai seemed to have a few suggestions as to how to solve the issue - me
being anything but a C/C++ expert, I can't comment on their quality,
though my gut feeling is that he may be right - after all, he has proven
to be an able coder previously (Cowbytes and Endians ...).

-Stefan


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#525; Package x2goclient. (Tue, 08 Jul 2014 15:30:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 08 Jul 2014 15:30:02 GMT) Full text and rfc822 format available.

Message #20 received at 525@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 525-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 525@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as pending for release
Date: Tue, 8 Jul 2014 17:28:38 +0200 (CEST)
tag #525 pending
fixed #525 4.0.2.1
thanks

Hello,

X2Go issue #525 (src:x2goclient) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=5bb4a33

The issue will most likely be fixed in src:x2goclient (4.0.2.1).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 5bb4a331fed1f1891a9ff176ae4f0221ba4a4c6b
Author: Oleksandr Shneyder <o.shneyder@phoca-gmbh.de>
Date:   Tue Jul 8 17:27:59 2014 +0200

    Add x2gohelper to start X2Go Client on Windows and clean child processes if X2Go Client crashes. (Fixes: #525).

diff --git a/debian/changelog b/debian/changelog
index f4e8419..8551493 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -53,6 +53,8 @@ x2goclient (4.0.2.1-0x2go1) UNRELEASED; urgency=low
     - Update string "&Clipboard Mode" and translate in russian translation file.
     - Grammar fix in russian translation.
     - Fix "fullscreen" mode on Windows 7 with multiple monitors.
+    - Add x2gohelper to start X2Go Client on Windows and clean child processes if
+      X2Go Client crashes. (Fixes: #525).
 
   [ Mike DePaulo ]
   * New upstream release (4.0.2.1):


Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Tue, 08 Jul 2014 15:30:02 GMT) Full text and rfc822 format available.

Marked as fixed in versions 4.0.2.1. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Tue, 08 Jul 2014 15:30:02 GMT) Full text and rfc822 format available.

Message sent on to Stefan Baur <newsgroups.mail2@stefanbaur.de>:
Bug#525. (Tue, 08 Jul 2014 15:30:03 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#525; Package x2goclient. (Fri, 19 Sep 2014 12:25:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Baur <X2Go-ML-1@baur-itcs.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 19 Sep 2014 12:25:02 GMT) Full text and rfc822 format available.

Message #32 received at 525@bugs.x2go.org (full text, mbox):

From: Stefan Baur <X2Go-ML-1@baur-itcs.de>
To: 525@bugs.x2go.org
Subject: Bug#525: x2goclient.exe shows "arrow and hourglass" cursor for 5 seconds during startup
Date: Fri, 19 Sep 2014 14:16:55 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi,

I'd like to report that this bug is still present in the windows
nightly build x2goclient-4.0.3.0-2014.09.17-0e3aff0 - it's even worse
than before, as the 5-second-arrow-and-hourglass cursor now also
appears when running x2goclient.exe from the command line, not only
when starting it via GUI.

- -Stefan
- -- 
BAUR-ITCS UG (haftungsbeschränkt)
Geschäftsführer: Stefan Baur
Eichenäckerweg 10, 89081 Ulm | Registergericht Ulm, HRB 724364
Fon/Fax 0731 40 34 66-36/-35 | USt-IdNr.: DE268653243
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.22 (MingW32)

iQEcBAEBAgAGBQJUHB63AAoJEG7d9BjNvlEZpqAH/2eFgHhm1NhslpeZhE1Dw9gZ
4iQ94dTRaU2g2N+2GhkwxaIm+EpIStclVWby213ZxioD5DJLqrqI7hcZEUnWPwsC
NBd5eaiDhiygGz34dKZJVFL2lof6pUi1yy0UBmQsn8lAwpUC3R09pE5gASHPos5E
Bc1IHpzx0GQS++QRzkasKfmznG5s9r9iRetwX1WF9voTtSOaCP9hzgYgM0Fi7OAP
n0UvCqlE178id2VpI4/O0bS9xpanEODg1hTtlEMA9iF7rBuBsZWy4Xu5R8C7Qhlj
aHY1I0TIDzMQsyEhOyNINwepNj9M3wpUfw3ybT1wvGKMTGt9OpNv7xTGAH4oKDo=
=WMbq
-----END PGP SIGNATURE-----


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#525; Package x2goclient. (Fri, 19 Sep 2014 13:20:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike DePaulo <mikedep333@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 19 Sep 2014 13:20:02 GMT) Full text and rfc822 format available.

Message #37 received at 525@bugs.x2go.org (full text, mbox):

From: Mike DePaulo <mikedep333@gmail.com>
To: 525@bugs.x2go.org, Stefan Baur <X2Go-ML-1@baur-itcs.de>
Subject: Bug#525 - cloning for x2goclient 4.0.3.0
Date: Fri, 19 Sep 2014 09:16:54 -0400
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Control: clone -1 -2
Control: retitle -2 x2goclient.exe 4.0.3.0 shows "arrow and hourglass" cursor for 5 seconds during startup
Control: affects -2 x2goclient
Control: found -2 4.0.3.0-2014.09.17-0e3aff0

On 09/19/14 08:16, Stefan Baur wrote:
> Hi,
> 
> I'd like to report that this bug is still present in the windows nightly build x2goclient-4.0.3.0-2014.09.17-0e3aff0 - it's even worse than before, as the 5-second-arrow-and-hourglass cursor now also appears when running x2goclient.exe from the command line, not only when starting it via GUI.
> 
> -Stefan

Cloning for 4.0.3.0

I should point out that my home desktop is not affected.

My home desktop:
Windows 8.1 64-bit with all important, recommended & optional updates installed.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.14 (GNU/Linux)

iF4EAREIAAYFAlQcLMYACgkQIFy22CVQsisx4gD8DKSoP/uAViIQvQJlWESP2xgV
CIHeF8G41b27crcgP50A/26OZCagZt05ZNj1tqhaPPam3gZR3kNqR3MLUJ/jv1Ou
=jzGj
-----END PGP SIGNATURE-----


Bug 525 cloned as bug 616 Request was from Mike DePaulo <mikedep333@gmail.com> to 525-submit@bugs.x2go.org. (Fri, 19 Sep 2014 13:20:02 GMT) Full text and rfc822 format available.

Changed Bug title to 'x2goclient.exe 4.0.3.0 shows "arrow and hourglass" cursor for 5 seconds during startup' from 'x2goclient.exe shows "arrow and hourglass" cursor for 5 seconds during startup' Request was from Mike DePaulo <mikedep333@gmail.com> to 525-submit@bugs.x2go.org. (Fri, 19 Sep 2014 13:20:02 GMT) Full text and rfc822 format available.

Added indication that 616 affects x2goclient Request was from Mike DePaulo <mikedep333@gmail.com> to 525-submit@bugs.x2go.org. (Fri, 19 Sep 2014 13:20:02 GMT) Full text and rfc822 format available.

Marked as found in versions 4.0.3.0-2014.09.17-0e3aff0. Request was from Mike DePaulo <mikedep333@gmail.com> to 525-submit@bugs.x2go.org. (Fri, 19 Sep 2014 13:20:02 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#616; Package x2goclient. (Fri, 19 Sep 2014 13:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael DePaulo <mikedep333@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 19 Sep 2014 13:30:02 GMT) Full text and rfc822 format available.

Message #50 received at 616@bugs.x2go.org (full text, mbox):

From: Michael DePaulo <mikedep333@gmail.com>
To: 616@bugs.x2go.org
Subject: 616 found and not found
Date: Fri, 19 Sep 2014 09:29:12 -0400
notfound 4.0.2.1-pre01
notfixed 4.0.2.1


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#616; Package x2goclient. (Fri, 19 Sep 2014 13:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael DePaulo <mikedep333@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 19 Sep 2014 13:30:03 GMT) Full text and rfc822 format available.

Message #55 received at 616@bugs.x2go.org (full text, mbox):

From: Michael DePaulo <mikedep333@gmail.com>
To: 616@bugs.x2go.org
Subject: not pending
Date: Fri, 19 Sep 2014 09:29:56 -0400
tags - pending


No longer marked as found in versions 4.0.2.1-pre01. Request was from Michael DePaulo <mikedep333@gmail.com> to control@bugs.x2go.org. (Fri, 19 Sep 2014 14:05:01 GMT) Full text and rfc822 format available.

No longer marked as fixed in versions 4.0.2.1. Request was from Michael DePaulo <mikedep333@gmail.com> to control@bugs.x2go.org. (Fri, 19 Sep 2014 14:05:01 GMT) Full text and rfc822 format available.

Removed tag(s) pending. Request was from Michael DePaulo <mikedep333@gmail.com> to control@bugs.x2go.org. (Fri, 19 Sep 2014 14:05:01 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#616; Package x2goclient. (Thu, 09 Oct 2014 11:40:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael DePaulo <mikedep333@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 09 Oct 2014 11:40:02 GMT) Full text and rfc822 format available.

Message #66 received at 616@bugs.x2go.org (full text, mbox):

From: Michael DePaulo <mikedep333@gmail.com>
To: 616@bugs.x2go.org, Oleksandr Shneyder <o.shneyder@phoca-gmbh.de>, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Cc: Mihai Moldovan <ionic@ionic.de>, Stefan Baur <newsgroups.mail2@stefanbaur.de>
Subject: bug 616 should be fixed before x2go client 4.0.3.0 is released
Date: Thu, 9 Oct 2014 07:37:33 -0400
Hi Alex,

Stefan and I believe that this bug (#616) should be fixed before X2Go
Client 4.0.3.0 is released. Please let us know if you have any ideas
on how to fix it.

Mihai, Mike#1 thought you may be able to help also.

-Mike#2


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#616; Package x2goclient. (Thu, 09 Oct 2014 12:00:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael DePaulo <mikedep333@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 09 Oct 2014 12:00:02 GMT) Full text and rfc822 format available.

Message #71 received at 616@bugs.x2go.org (full text, mbox):

From: Michael DePaulo <mikedep333@gmail.com>
To: Oleksandr Shneyder <o.shneyder@phoca-gmbh.de>
Cc: 616@bugs.x2go.org, Stefan Baur <newsgroups.mail2@stefanbaur.de>
Subject: Re: bug 616 should be fixed before x2go client 4.0.3.0 is released
Date: Thu, 9 Oct 2014 07:57:09 -0400
On Thu, Oct 9, 2014 at 7:54 AM, Oleksandr Shneyder
<o.shneyder@phoca-gmbh.de> wrote:
> Hi Mike,
>
> I cannot reproduce this bug. Can you?
>
> regards,
> Alex
>
> Am 09.10.2014 13:37, schrieb Michael DePaulo:
>> Hi Alex,
>>
>> Stefan and I believe that this bug (#616) should be fixed before X2Go
>> Client 4.0.3.0 is released. Please let us know if you have any ideas
>> on how to fix it.
>>
>> Mihai, Mike#1 thought you may be able to help also.
>>
>> -Mike#2

Hi Alex,

(Is there a reason why you did not CC others?)

I cannot reproduce it either. Stefan can though.


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#616; Package x2goclient. (Thu, 09 Oct 2014 12:10:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Baur <newsgroups.mail2@stefanbaur.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 09 Oct 2014 12:10:02 GMT) Full text and rfc822 format available.

Message #76 received at 616@bugs.x2go.org (full text, mbox):

From: Stefan Baur <newsgroups.mail2@stefanbaur.de>
To: Oleksandr Shneyder <o.shneyder@phoca-gmbh.de>, Michael DePaulo <mikedep333@gmail.com>
Cc: 616@bugs.x2go.org
Subject: Re: bug 616 should be fixed before x2go client 4.0.3.0 is released
Date: Thu, 09 Oct 2014 14:01:17 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Am 09.10.2014 um 13:59 schrieb Oleksandr Shneyder:
> Sorry, pushed wrong button. Can it be, that Stefan system running
> some kind of antiviral software, which blocking execution of X2Go
> Client? I Have no ideas. I can't fix a bug if I can't reproduce
> it.

I can run some further tests (different machines etc.), but probably
not before next week. :(

My Antivirus is Microsoft Security Essentials.

- -Stefan
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.22 (MingW32)

iQEcBAEBAgAGBQJUNnkNAAoJEG7d9BjNvlEZm1UH/iX3Cej0NCkPfXCFGC1udJcH
+SZnHGmgiz5dKIpkCmtvFIkfw5RZinjKuFkak7vDcGZtx5rYqJfIYQfn/B6NqWn3
gou35ROru8dDQeSs3O41cjAzJJPJk/aPpPLtxkZtEQK1VXG6x86Zzgon5gy7JycA
1l7i7EOqUPzlQ4BoXiKqpKDyr0cVQFVAA5x74LltuWWcomhmGrTbQu7tCnpZ9lKI
J5zBnOBEVc2eLVGuzQ3UpdsvCy0A7eZJBINhiQsvUj8sw/YEzegk6aOtOnlnMIId
dkr/lz8JPWajYF4AmrSJ7J6QKE5m57UEl/BHB4QIzMdrGQv2KdRrL+VUVBs6kCQ=
=lxIZ
-----END PGP SIGNATURE-----


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#616; Package x2goclient. (Thu, 09 Oct 2014 12:25:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Oleksandr Shneyder <o.shneyder@phoca-gmbh.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 09 Oct 2014 12:25:02 GMT) Full text and rfc822 format available.

Message #81 received at 616@bugs.x2go.org (full text, mbox):

From: Oleksandr Shneyder <o.shneyder@phoca-gmbh.de>
To: Michael DePaulo <mikedep333@gmail.com>
Cc: 616@bugs.x2go.org, Stefan Baur <newsgroups.mail2@stefanbaur.de>
Subject: Re: bug 616 should be fixed before x2go client 4.0.3.0 is released
Date: Thu, 09 Oct 2014 13:59:38 +0200
[Message part 1 (text/plain, inline)]
Sorry, pushed wrong button. Can it be, that Stefan system running some
kind of antiviral software, which blocking execution of X2Go Client? I
Have no ideas. I can't fix a bug if I can't reproduce it.

regards,
Alex

Am 09.10.2014 13:57, schrieb Michael DePaulo:
> On Thu, Oct 9, 2014 at 7:54 AM, Oleksandr Shneyder
> <o.shneyder@phoca-gmbh.de> wrote:
>> Hi Mike,
>>
>> I cannot reproduce this bug. Can you?
>>
>> regards,
>> Alex
>>
>> Am 09.10.2014 13:37, schrieb Michael DePaulo:
>>> Hi Alex,
>>>
>>> Stefan and I believe that this bug (#616) should be fixed before X2Go
>>> Client 4.0.3.0 is released. Please let us know if you have any ideas
>>> on how to fix it.
>>>
>>> Mihai, Mike#1 thought you may be able to help also.
>>>
>>> -Mike#2
> 
> Hi Alex,
> 
> (Is there a reason why you did not CC others?)
> 
> I cannot reproduce it either. Stefan can though.
> 


-- 
-----------------------------------------------------------
Oleksandr Shneyder        | Email: o.shneyder@phoca-gmbh.de
phoca GmbH                | Tel. : 0911 - 14870374 0
Ludwig-Feuerbach-str. 18  | Fax. : 0911 - 14870374 9
D-90489 Nürnberg          | Mobil: 0163 - 49 64 461

Geschäftsführung:
Dipl.-Inf. Oleksandr Shneyder

Amtsgericht München | http://www.phoca-gmbh.de
HRB 196 658         | http://www.x2go.org
USt-IdNr.: DE281977973
-----------------------------------------------------------

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#616; Package x2goclient. (Thu, 09 Oct 2014 12:35:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Baur <X2Go-ML-1@baur-itcs.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 09 Oct 2014 12:35:02 GMT) Full text and rfc822 format available.

Message #86 received at 616@bugs.x2go.org (full text, mbox):

From: Stefan Baur <X2Go-ML-1@baur-itcs.de>
To: Stefan Baur <newsgroups.mail2@stefanbaur.de>, 616@bugs.x2go.org, Oleksandr Shneyder <o.shneyder@phoca-gmbh.de>, Michael DePaulo <mikedep333@gmail.com>
Subject: Re: [X2Go-Dev] Bug#616: bug 616 should be fixed before x2go client 4.0.3.0 is released
Date: Thu, 09 Oct 2014 14:28:00 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Am 09.10.2014 um 14:01 schrieb Stefan Baur:
> I can run some further tests (different machines etc.), but
> probably not before next week. :(

@Alex: As a hint, back when I last tested it, the bug only happened on
real hardware. No issue when running within a virtual environment.
So if you're using VirtualBox, VMware or something like that, I'm not
surprised you can't reproduce the bug.

- -Stefan

- -- 
BAUR-ITCS UG (haftungsbeschränkt)
Geschäftsführer: Stefan Baur
Eichenäckerweg 10, 89081 Ulm | Registergericht Ulm, HRB 724364
Fon/Fax 0731 40 34 66-36/-35 | USt-IdNr.: DE268653243
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.22 (MingW32)

iQEcBAEBAgAGBQJUNn9QAAoJEG7d9BjNvlEZ8ikH/RGlug14K2j7irHkOg0Zth5i
Qr04Wc9Dbs/hH3lXe1/MLka75iefcLjcn28hyEKPKb7n12YgrjpFnjfJfL/3098s
JWzH0ebkqXCJukz/gjq2uDMeD/ck5U5OLAPBEZXNhzbp4Y7ARi4XlQIoJHIvzhSC
hkfuadaUfphVGdiCdIm67gM0w32UHTgfjBuRLfQh2/zdeTp9KfsaqIQc9cjYQvBK
OtxGGA9WGyEz9PEhe/Wf5Mub0D+4Y/tfOogk9UuF8nOQxp455eVJytrW5+90IQz6
OkOlc20G0QEMu47RCnTXlSlEo0X3QqkvNnVkGiDu/UDNnLawRcgz5FTHpwGNtFM=
=HX64
-----END PGP SIGNATURE-----


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#616; Package x2goclient. (Tue, 21 Oct 2014 14:55:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Baur <newsgroups.mail2@stefanbaur.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 21 Oct 2014 14:55:02 GMT) Full text and rfc822 format available.

Message #91 received at 616@bugs.x2go.org (full text, mbox):

From: Stefan Baur <newsgroups.mail2@stefanbaur.de>
To: 616@bugs.x2go.org
Subject: Bug is still present in x2goclient-4.0.3.0-20141021 :-(
Date: Tue, 21 Oct 2014 16:55:35 +0200
Hi,

subject says it all.
Sadly, I haven't gotten around to try it on different hardware yet. :-(

-Stefan


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#616; Package x2goclient. (Wed, 22 Oct 2014 15:00:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Baur <X2Go-ML-1@baur-itcs.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 22 Oct 2014 15:00:01 GMT) Full text and rfc822 format available.

Message #96 received at 616@bugs.x2go.org (full text, mbox):

From: Stefan Baur <X2Go-ML-1@baur-itcs.de>
To: 616@bugs.x2go.org, Oleksandr Shneyder <o.shneyder@phoca-gmbh.de>, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, Michael DePaulo <mikedep333@gmail.com>
Subject: Finally managed to record the issue "on tape"
Date: Wed, 22 Oct 2014 16:55:48 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi everyone,

please have a look at http://youtu.be/5RJ2kwrgeXI

This is X2Go Client 4.0.3.0 showing the 5-second startup delay
(hourglass cursor).

Note that the on-access virus scanner was disabled for this recording,
as can be seen on the lower right (red icon), so we can that one rule
out as the cause of the problem.

Things I learned, trying to capture this:
- - The effect does not occur inside a VMware Workstation VM.
  So you neither see it nor will you be able to record it there.
- - The effect does occur on real hardware as well as on a Linux-LVM
  accessed via RDP.
- - It is impossible to record the effect using CamStudio.
  While you can witness the effect occurring live, the recorded video
  will only show the regular mouse arrow.
- - Recording the effect was possible using Microsoft Expression Encoder.
  $DEITY knows why.

@Alex: This effect occurs since you tried to introduce the "reaper"
process (even before you split x2goclient.exe into half with the
helper, I think).
It was not present before that.

Kind Regards,
Stefan

- -- 
BAUR-ITCS UG (haftungsbeschränkt)
Geschäftsführer: Stefan Baur
Eichenäckerweg 10, 89081 Ulm | Registergericht Ulm, HRB 724364
Fon/Fax 0731 40 34 66-36/-35 | USt-IdNr.: DE268653243
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.22 (MingW32)

iQEcBAEBAgAGBQJUR8VzAAoJEG7d9BjNvlEZjA8H/2Rgrylw+6WAh5UM8exvNmYP
HJz34yupT76NhMbJJkH8f+PJmxnQmPEOgSDTVW4U0ouVWG+yxkJBw1hHOGq8gxjC
/JgsiABktyP++VVz1WVH4suQ5EiGf47pcVJ+kKngClujvF5TV0eNeP5eXVNgbuzn
Io8UXnmvVWgqfzKoHehj+DhFXRY5AsYCwng0GrY3r/QrCYmhNmSbW9H2+lf8HJnN
wMw4yErdg0a65Vzn5+g5w/HRsnGaCgxgn7OFmelnLqnIiRQ90jd/UtaiEKXCSE1D
baziXOHtQx54QEpob1Gye1aKjyGWn8uL3ylj2oWH4T+RhPgUSAXjTUYZQyKpLBw=
=NUm/
-----END PGP SIGNATURE-----


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#616; Package x2goclient. (Mon, 24 Nov 2014 14:40:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Oleksandr Shneyder <o.shneyder@phoca-gmbh.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 24 Nov 2014 14:40:03 GMT) Full text and rfc822 format available.

Message #101 received at 616@bugs.x2go.org (full text, mbox):

From: Oleksandr Shneyder <o.shneyder@phoca-gmbh.de>
To: Stefan Baur <X2Go-ML-1@baur-itcs.de>, 616@bugs.x2go.org, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, Michael DePaulo <mikedep333@gmail.com>
Subject: Re: Finally managed to record the issue "on tape"
Date: Mon, 24 Nov 2014 15:38:58 +0100
[Message part 1 (text/plain, inline)]
Hello Stefan,

I tried to launch newest client from nightly builds on Win7. I see a
"waiting" pointer on the start of x2go client. But in this time I can
use X2Go Client without problem and UI is responsible at that time. Did
I understand you right? You have 5 sec. delay and during this delay you
can't use a UI?

regards,
Alex

Am 22.10.2014 16:55, schrieb Stefan Baur:
> Hi everyone,
> 
> please have a look at http://youtu.be/5RJ2kwrgeXI
> 
> This is X2Go Client 4.0.3.0 showing the 5-second startup delay
> (hourglass cursor).
> 
> Note that the on-access virus scanner was disabled for this recording,
> as can be seen on the lower right (red icon), so we can that one rule
> out as the cause of the problem.
> 
> Things I learned, trying to capture this:
> - The effect does not occur inside a VMware Workstation VM.
>   So you neither see it nor will you be able to record it there.
> - The effect does occur on real hardware as well as on a Linux-LVM
>   accessed via RDP.
> - It is impossible to record the effect using CamStudio.
>   While you can witness the effect occurring live, the recorded video
>   will only show the regular mouse arrow.
> - Recording the effect was possible using Microsoft Expression Encoder.
>   $DEITY knows why.
> 
> @Alex: This effect occurs since you tried to introduce the "reaper"
> process (even before you split x2goclient.exe into half with the
> helper, I think).
> It was not present before that.
> 
> Kind Regards,
> Stefan
> 
> 

-- 
-----------------------------------------------------------
Oleksandr Shneyder        | Email: o.shneyder@phoca-gmbh.de
phoca GmbH                | Tel. : 0911 - 14870374 0
Ludwig-Feuerbach-str. 18  | Fax. : 0911 - 14870374 9
D-90489 Nürnberg          | Mobil: 0163 - 49 64 461

Geschäftsführung:
Dipl.-Inf. Oleksandr Shneyder

Amtsgericht München | http://www.phoca-gmbh.de
HRB 196 658         | http://www.x2go.org
USt-IdNr.: DE281977973
-----------------------------------------------------------

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#616; Package x2goclient. (Thu, 08 Jan 2015 17:00:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Baur <X2Go-ML-1@baur-itcs.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 08 Jan 2015 17:00:02 GMT) Full text and rfc822 format available.

Message #106 received at 616@bugs.x2go.org (full text, mbox):

From: Stefan Baur <X2Go-ML-1@baur-itcs.de>
To: Oleksandr Shneyder <o.shneyder@phoca-gmbh.de>, 616@bugs.x2go.org, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, Michael DePaulo <mikedep333@gmail.com>
Subject: Re: Finally managed to record the issue "on tape"
Date: Thu, 08 Jan 2015 17:51:09 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Am 24.11.2014 um 15:38 schrieb Oleksandr Shneyder:

> I tried to launch newest client from nightly builds on Win7. I see
> a "waiting" pointer on the start of x2go client. But in this time I
> can use X2Go Client without problem and UI is responsible at that
> time. Did I understand you right? You have 5 sec. delay and during
> this delay you can't use a UI?

Sorry for not replying sooner.  No, we're talking about the same
cursor.  "Hourglass-and-Pointer", not "Hourglass".

So while yes, one can use the UI during these 5 seconds, it
nevertheless is confusing to the user.  The initial reaction of the
average user is "Oh, that thing's busy, I should wait".  A
non-technical user will not differentiate between
"Hourglass-and-Pointer" and "Hourglass".

Since previous versions of X2GoClient did not exhibit this behavior, I
am expecting complaints about a sudden slow startup (from
non-technical users, that are not aware of the difference between
those two cursor types) when I roll this thing out.

Is there no way we can avoid this? Maybe start the background
processes and the reaper only when a session is in the startup phase,
and not immediately when x2goclient.exe start?

- -Stefan


- -- 
BAUR-ITCS UG (haftungsbeschränkt)
Geschäftsführer: Stefan Baur
Eichenäckerweg 10, 89081 Ulm | Registergericht Ulm, HRB 724364
Fon/Fax 0731 40 34 66-36/-35 | USt-IdNr.: DE268653243
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.22 (MingW32)

iQEcBAEBAgAGBQJUrrV9AAoJEG7d9BjNvlEZEfAH/jo1aey2FFgKji41HDYwW8ph
5KMqWj1C90brpeVoeg6bM5MyqPjyLif29DAKw4RCTDkFLyAqE1ckR4L0On+ByHaW
uZOt61dnBCsmHBeMLuXOUDjLaNmou6ohBiMlDes5qc++nfkigIRzXVUid3Figco6
Kgs43ms4MEZVK9vCO7YEFyiO2UxV8L+gAyG0ashgr/jIbWIeK+Vn0KJhV9QutugU
F4HKsHFJWekHtbRpWJBAOp2MpT/4iiQYltJ5n1EFrA8N19nlHrxcjPlbQ5/iV1wI
dlphU3oPNKO1J1JHyxB8ubn3lVLg/Z/+1hpCruOlzJsXm+543WGsxjbPHsSAj8I=
=FNzV
-----END PGP SIGNATURE-----


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#616; Package x2goclient. (Fri, 09 Jan 2015 09:50:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Oleksandr Shneyder <o.shneyder@phoca-gmbh.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 09 Jan 2015 09:50:02 GMT) Full text and rfc822 format available.

Message #111 received at 616@bugs.x2go.org (full text, mbox):

From: Oleksandr Shneyder <o.shneyder@phoca-gmbh.de>
To: Stefan Baur <X2Go-ML-1@baur-itcs.de>, 616@bugs.x2go.org, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, Michael DePaulo <mikedep333@gmail.com>
Subject: Re: Finally managed to record the issue "on tape"
Date: Fri, 09 Jan 2015 10:30:08 +0100
[Message part 1 (text/plain, inline)]
Hello Stefan,

Actually, I don't see it as a problem at all, but I understand your
point. I'll see, what I can do about it.

regards,
Alex

Am 08.01.2015 um 17:51 schrieb Stefan Baur:
> Am 24.11.2014 um 15:38 schrieb Oleksandr Shneyder:
> 
>> I tried to launch newest client from nightly builds on Win7. I see
>> a "waiting" pointer on the start of x2go client. But in this time I
>> can use X2Go Client without problem and UI is responsible at that
>> time. Did I understand you right? You have 5 sec. delay and during
>> this delay you can't use a UI?
> 
> Sorry for not replying sooner.  No, we're talking about the same
> cursor.  "Hourglass-and-Pointer", not "Hourglass".
> 
> So while yes, one can use the UI during these 5 seconds, it
> nevertheless is confusing to the user.  The initial reaction of the
> average user is "Oh, that thing's busy, I should wait".  A
> non-technical user will not differentiate between
> "Hourglass-and-Pointer" and "Hourglass".
> 
> Since previous versions of X2GoClient did not exhibit this behavior, I
> am expecting complaints about a sudden slow startup (from
> non-technical users, that are not aware of the difference between
> those two cursor types) when I roll this thing out.
> 
> Is there no way we can avoid this? Maybe start the background
> processes and the reaper only when a session is in the startup phase,
> and not immediately when x2goclient.exe start?
> 
> -Stefan
> 
> 
> 

-- 
-----------------------------------------------------------
Oleksandr Shneyder        | Email: o.shneyder@phoca-gmbh.de
phoca GmbH                | Tel. : 0911 - 14870374 0
Ludwig-Feuerbach-str. 18  | Fax. : 0911 - 14870374 9
D-90489 Nürnberg          | Mobil: 0163 - 49 64 461

Geschäftsführung:
Dipl.-Inf. Oleksandr Shneyder

Amtsgericht München | http://www.phoca-gmbh.de
HRB 196 658         | http://www.x2go.org
USt-IdNr.: DE281977973
-----------------------------------------------------------

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#616; Package x2goclient. (Fri, 09 Jan 2015 10:10:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Baur <X2Go-ML-1@baur-itcs.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 09 Jan 2015 10:10:02 GMT) Full text and rfc822 format available.

Message #116 received at 616@bugs.x2go.org (full text, mbox):

From: Stefan Baur <X2Go-ML-1@baur-itcs.de>
To: Oleksandr Shneyder <o.shneyder@phoca-gmbh.de>, 616@bugs.x2go.org, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, Michael DePaulo <mikedep333@gmail.com>
Subject: Re: Finally managed to record the issue "on tape"
Date: Fri, 09 Jan 2015 11:08:12 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Am 09.01.2015 um 10:30 schrieb Oleksandr Shneyder:
> Actually, I don't see it as a problem at all, but I understand
> your point. I'll see, what I can do about it.

Wow.  Thank you. :-) I'm honestly surprised, in a pleasant way.

- -Stefan

- -- 
BAUR-ITCS UG (haftungsbeschränkt)
Geschäftsführer: Stefan Baur
Eichenäckerweg 10, 89081 Ulm | Registergericht Ulm, HRB 724364
Fon/Fax 0731 40 34 66-36/-35 | USt-IdNr.: DE268653243
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.22 (MingW32)

iQEcBAEBAgAGBQJUr6iMAAoJEG7d9BjNvlEZp4cH/09sgD0PZuuGlTHlmNDzBA9L
BgAt03+FkqC/O/tteG9tJ8XvBnqqx55YMVMTnmaztYzvaxkRdk7ZgLKII2pqk/H/
kPfu98Ks45ZAkoxwmRVAmBwVFf8XlpdljNWcnpLCpJMUpmpyTOG+dMq4JG3NDsWM
rveIikjqWOCWqs62xQs7Drzk1XyriLkewGLfNpYglt4fYJfToTaGNqZkLYWwFxsy
G+z/q+hTzh4MTCRyB8fqFI1ioCVcc/tqOx7l/oKO+4WJag/rlPRPiLkyIxy4ESwD
8722KXHwHj8ARsz8/GkFVV5SbZ0EuiaiBZM9R24Uo8B0vFhtKNIXBDEsYmMgbfs=
=x7X8
-----END PGP SIGNATURE-----


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#616; Package x2goclient. (Fri, 09 Jan 2015 14:00:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael DePaulo <mikedep333@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 09 Jan 2015 14:00:02 GMT) Full text and rfc822 format available.

Message #121 received at 616@bugs.x2go.org (full text, mbox):

From: Michael DePaulo <mikedep333@gmail.com>
To: Oleksandr Shneyder <o.shneyder@phoca-gmbh.de>
Cc: Stefan Baur <X2Go-ML-1@baur-itcs.de>, 616@bugs.x2go.org, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Subject: Re: Finally managed to record the issue "on tape"
Date: Fri, 9 Jan 2015 08:57:26 -0500
The way I see it, there are 2 parts of the issue.

1. Something is happening for 5 seconds.
2. During those 5 seconds, X2Go Client is displaying the Hourglass-and-Pointer.

We should be able to fix the issue by solving either part.

Perhaps there is some Qt feature we need to adjust in order to fix part #2?

-Mike#2

On Fri, Jan 9, 2015 at 4:30 AM, Oleksandr Shneyder
<o.shneyder@phoca-gmbh.de> wrote:
> Hello Stefan,
>
> Actually, I don't see it as a problem at all, but I understand your
> point. I'll see, what I can do about it.
>
> regards,
> Alex
>
> Am 08.01.2015 um 17:51 schrieb Stefan Baur:
>> Am 24.11.2014 um 15:38 schrieb Oleksandr Shneyder:
>>
>>> I tried to launch newest client from nightly builds on Win7. I see
>>> a "waiting" pointer on the start of x2go client. But in this time I
>>> can use X2Go Client without problem and UI is responsible at that
>>> time. Did I understand you right? You have 5 sec. delay and during
>>> this delay you can't use a UI?
>>
>> Sorry for not replying sooner.  No, we're talking about the same
>> cursor.  "Hourglass-and-Pointer", not "Hourglass".
>>
>> So while yes, one can use the UI during these 5 seconds, it
>> nevertheless is confusing to the user.  The initial reaction of the
>> average user is "Oh, that thing's busy, I should wait".  A
>> non-technical user will not differentiate between
>> "Hourglass-and-Pointer" and "Hourglass".
>>
>> Since previous versions of X2GoClient did not exhibit this behavior, I
>> am expecting complaints about a sudden slow startup (from
>> non-technical users, that are not aware of the difference between
>> those two cursor types) when I roll this thing out.
>>
>> Is there no way we can avoid this? Maybe start the background
>> processes and the reaper only when a session is in the startup phase,
>> and not immediately when x2goclient.exe start?
>>
>> -Stefan
[...]


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#616; Package x2goclient. (Fri, 23 Jan 2015 12:00:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Oleksandr Shneyder <o.shneyder@phoca-gmbh.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 23 Jan 2015 12:00:02 GMT) Full text and rfc822 format available.

Message #126 received at 616@bugs.x2go.org (full text, mbox):

From: Oleksandr Shneyder <o.shneyder@phoca-gmbh.de>
To: 616-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 616@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as pending for release
Date: Fri, 23 Jan 2015 12:57:05 +0100 (CET)
tag #616 pending
fixed #616 4.0.3.2
thanks

Hello,

X2Go issue #616 (src:x2goclient) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=bfab25e

The issue will most likely be fixed in src:x2goclient (4.0.3.2).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit bfab25eae3555a258a99332b43a792bfbafaa592
Author: Oleksandr Shneyder <o.shneyder@phoca-gmbh.de>
Date:   Fri Jan 23 12:50:02 2015 +0100

    Send empty message in x2gohelper to stop AppStarting cursor. (Fixes: #616).

diff --git a/debian/changelog b/debian/changelog
index 13cc773..9e4d06b 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -4,6 +4,7 @@ x2goclient (4.0.3.2-0x2go1) UNRELEASED; urgency=medium
   * New upstream release (4.0.3.2):
     - Reformat onmainwindow.cpp
     - Fix placement of session folders in session card column. (Fixes: #681).
+    - Send empty message in x2gohelper to stop AppStarting cursor. (Fixes: #616).
 
   [ Mike Gabriel ]
   * New upstream release (4.0.3.2):


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#616; Package x2goclient. (Fri, 23 Jan 2015 12:00:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Oleksandr Shneyder <o.shneyder@phoca-gmbh.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 23 Jan 2015 12:00:03 GMT) Full text and rfc822 format available.

Message #131 received at 616@bugs.x2go.org (full text, mbox):

From: Oleksandr Shneyder <o.shneyder@phoca-gmbh.de>
To: 616-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 616@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as pending for release
Date: Fri, 23 Jan 2015 12:57:06 +0100 (CET)
tag #616 pending
fixed #616 4.0.3.2
thanks

Hello,

X2Go issue #616 (src:x2goclient) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=fd5b287

The issue will most likely be fixed in src:x2goclient (4.0.3.2).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit fd5b2876f88a0e7f6a0511b0ebf28ebb71de5e6a
Author: Oleksandr Shneyder <o.shneyder@phoca-gmbh.de>
Date:   Fri Jan 23 12:56:49 2015 +0100

    Send empty message in x2gohelper to stop AppStarting cursor. (Fixes: #616).

diff --git a/debian/changelog b/debian/changelog
index 2c2c53b..9e4d06b 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -4,7 +4,7 @@ x2goclient (4.0.3.2-0x2go1) UNRELEASED; urgency=medium
   * New upstream release (4.0.3.2):
     - Reformat onmainwindow.cpp
     - Fix placement of session folders in session card column. (Fixes: #681).
-    - Send empty message in x2gohelper to stop AppStarting cursor. (Fixes: #525).
+    - Send empty message in x2gohelper to stop AppStarting cursor. (Fixes: #616).
 
   [ Mike Gabriel ]
   * New upstream release (4.0.3.2):


Added tag(s) pending. Request was from Oleksandr Shneyder <o.shneyder@phoca-gmbh.de> to control@bugs.x2go.org. (Fri, 23 Jan 2015 12:00:04 GMT) Full text and rfc822 format available.

Marked as fixed in versions 4.0.3.2. Request was from Oleksandr Shneyder <o.shneyder@phoca-gmbh.de> to control@bugs.x2go.org. (Fri, 23 Jan 2015 12:00:04 GMT) Full text and rfc822 format available.

Message sent on to Stefan Baur <newsgroups.mail2@stefanbaur.de>:
Bug#616. (Fri, 23 Jan 2015 12:00:06 GMT) Full text and rfc822 format available.

Message sent on to Stefan Baur <newsgroups.mail2@stefanbaur.de>:
Bug#616. (Fri, 23 Jan 2015 12:00:08 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#616; Package x2goclient. (Thu, 19 Feb 2015 12:00:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to X2Go Release Manager <git-admin@x2go.org>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 19 Feb 2015 12:00:02 GMT) Full text and rfc822 format available.

Message #146 received at 616@bugs.x2go.org (full text, mbox):

From: X2Go Release Manager <git-admin@x2go.org>
To: 616-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 616@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as closed
Date: Thu, 19 Feb 2015 12:57:57 +0100 (CET)
close #616
thanks

Hello,

we are very hopeful that X2Go issue #616 reported by you
has been resolved in the new release (4.0.3.2) of the
X2Go source project »src:x2goclient«.

You can view the complete changelog entry of src:x2goclient (4.0.3.2)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2goclient.

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=3b7ca68412005521d45d9751a370549ab1c80e58;hp=5290218751cc68a1fc1711ebd169e195eb3daeed

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2goclient.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2goclient
Version: 4.0.3.2-0x2go1
Status: RELEASE
Date: Thu, 19 Feb 2015 12:49:22 +0100
Fixes: 616 642 681 702 705 713 720 742 781 782
Changes: 
 x2goclient (4.0.3.2-0x2go1) RELEASED; urgency=medium
 .
   [ Oleksandr Shneyder ]
   * New upstream release (4.0.3.2):
     - Fix placement of session folders in session card column. (Fixes: #681).
     - Send empty message in x2gohelper to stop AppStarting cursor. (Fixes: #616).
     - Fix multiple creations of modmap timer (OS_DARWIN).
 .
   [ Mike Gabriel ]
   * New upstream release (4.0.3.2):
     - Add several info/error/debug log message while hunting down #702.
     - Use app.setQuitOnLastWindowClosed(false) for the X2Go Client QtApplication
       to assure that X2Go Client does not arbitrarily exit during a running
       session. This fixes X2Go Client crashes that occur when printing via
       the CUPS-X2Go printing mechanism with activate print dialog popup on
       incoming print jobs and minimized main window. (Fixes: #702).
     - Be more exact when reporting rev forwarding tunnel request failures to
       the GUI user. Include the purpose of the tunnel (NX, audio, foldersharing)
       in the error message.
     - Enable debugging in sshprocess.cpp and sshmasterconnection.cpp if
       --debug is given.
     - sshmasterconnection.cpp: Fix several grammar issues in error messages.
     - When sharing a client-side folder, do not write the SSH pub key to
       client-side authorized_keys file if the folder-to-be-shared does not
       exist on the client. (Partially solves #405).
     - Fix string concatenation/layout of error message when tunnel I/O errors
       occur.
     - Improve debugging/logging the SSH connections made by X2Go Client.
     - Fix quotes when calling remote commands via SSH (esp. allow same quoting/
       escaping style for libssh and openSSH+Krb based connections). (Fixes: #720).
     - FIXME: Disable PubkeyAuthentication _and_ PasswordAuthentication if
       GSSAPI authentication is activated. This is counter intuitive, though,
       and requires several other fixes in the authentication code.
   * x2goclient.spec:
     - Always set BuildRoot: parameter.
 .
   [ Sergey Savko ]
   * New upstream release (4.0.3.2):
     - Prevent passwordless re-logins into X2Go Session Broker if
       --broker-autologoff is used on the cmdline. (Fixes: #782).
     - Add new cmdline option --broker-noauth-use-session-username.
       When --broker-noauth is used, the broker does not know on behalf
       of which user to operate. This new option enables username syncing.
       When logging into X2Go Server, that username will be sent to the
       broker and be used for querying X2Go Broker Agents etc. (Fixes: #781).
 .
   [ Heinrich Schuchardt ]
   * New upstream release (4.0.3.2):
     - Base the layout dialogue "Session ID" (which shows up when starting a
       connection) on typographic points (instead of pixels). (Fixes: #713).
 .
   [ Jason Alavaliant ]
   * New upstream verson (4.0.3.2):
     - Use QUrl::toPercentEncoding() method to properly encode passwords sent
       to X2Go Session Broker. (Fixes: #705).
 .
   [ Mike DePaulo ]
   * New upstream release (4.0.3.2):
     - Windows: Win32 OpenSSL updates from 1.0.1j to 1.0.1L, which
       fixes the CVEs announced on 2015-01-08.
     - Windows: Cygwin OpenSSL updated from 1.0.1j-1 to 1.0.1k-1, which
       fixes the CVEs announced on 2015-01-08.
     - Windows: Bundle new version of VcXsrv: 1.15.2.2-xp+vc2013+x2go1.
       The differences from 1.15.2.1-xp+vc2013+x2go1 are that its bundled
       OpenSSL has been updated to 1.0.1k, and that xorg-server
       CVE-2014-8091..8103 have been fixed.
     - Windows: Update libssh from 0.6.3 to 0.6.4 (while maintaining
       Pageant support). This fixes CVE-2014-8132, which shouldn't
       affect x2goclient because x2goclient uses the SSH client
       functionality, not the SSH server functionality.
       0.6.4 also added 4 features related to ECDSA keys.
     - Windows: Fix compatibility with PulseAudio 6.0
     - Windows: Remove workaround for audio input with old versions of
       PulseAudio (calling parec once per second)
       (Fixes: #742)
       Thanks George Trakatelis (uom.edu.gr) for submitting this change.
     - Windows: Enable X2Go Client for Windows to build under VS2010 nmake
       (but not the VS2010 IDE due to a Qt4 Visual Studio Add-in limitation)
       Note that the official builds are still build under MinGW.
       (Fixes: #642)
       Thanks George Trakatelis (uom.edu.gr) for submitting this feature.
     - Windows: Make builds easier, and updating bundled dependencies
       easier, by adding copy-deps-win32.bat. It copies the exact
       version of each dependency (DLL, executable, data, folder, etc)
       from x2goclient-contrib.git.
 .
   [ Kaan Ozdincer ]
   * New upstream version (4.0.3.2):
     - Add Turkish translation file.


Marked Bug as done Request was from X2Go Release Manager <git-admin@x2go.org> to control@bugs.x2go.org. (Thu, 19 Feb 2015 12:00:15 GMT) Full text and rfc822 format available.

Notification sent to Stefan Baur <newsgroups.mail2@stefanbaur.de>:
Bug acknowledged by developer. (Thu, 19 Feb 2015 12:00:15 GMT) Full text and rfc822 format available.

Message sent on to Stefan Baur <newsgroups.mail2@stefanbaur.de>:
Bug#616. (Thu, 19 Feb 2015 12:00:28 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Fri, 20 Mar 2015 06:24:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Sat Apr 20 14:25:18 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.